<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML>
<HEAD>
	<META HTTP-EQUIV="CONTENT-TYPE" CONTENT="text/html; charset=utf-8">
	<TITLE></TITLE>
	<META NAME="GENERATOR" CONTENT="OpenOffice.org 2.4  (Linux)">
	<META NAME="AUTHOR" CONTENT="Vincent MAH&Eacute;">
	<META NAME="CREATED" CONTENT="20090331;16560200">
	<META NAME="CHANGEDBY" CONTENT="Vincent MAH&Eacute;">
	<META NAME="CHANGED" CONTENT="20090331;17274900">
	<STYLE TYPE="text/css">
	<!--
		@page { size: 21cm 29.7cm; margin: 2cm }
		P { margin-bottom: 0.21cm }
		H1 { margin-bottom: 0.21cm }
		H1.western { font-family: "Nimbus Roman No9 L", serif }
		H1.cjk { font-family: "DejaVu LGC Sans" }
		H1.ctl { font-family: "DejaVu LGC Sans" }
		H5 { margin-bottom: 0.21cm }
		H3 { margin-bottom: 0.21cm }
	-->
	</STYLE>
</HEAD>
<BODY LANG="fr-FR" DIR="LTR">
<H1 CLASS="western">MDE standards</H1>
<H5>The OpenEmbeDD platform enlists industrial standards as
metamodels with their corresponding modelers.</H5>
<H3><A HREF="http://www.uml.org/" TARGET="_self"><IMG SRC="../img/logos/UML_logo.png" NAME="Image6" ALT="UML logo" ALIGN=BOTTOM WIDTH=157 HEIGHT=109 BORDER=0></A>UML
2.1 full set</H3>
<P>The Topcased <A HREF="http://www.uml.org/" TARGET="_self">UML2</A>
graphical editor supplies all the diagrams for the Eclipse UML 2.1
metamodel:</P>
<UL>
	<LI><P STYLE="margin-bottom: 0cm">Activity diagram</P>
	<LI><P STYLE="margin-bottom: 0cm">Class diagram</P>
	<LI><P STYLE="margin-bottom: 0cm">Component diagram</P>
	<LI><P STYLE="margin-bottom: 0cm">Composite structures diagram</P>
	<LI><P STYLE="margin-bottom: 0cm">Deployment diagram</P>
	<LI><P STYLE="margin-bottom: 0cm">Sequence diagram</P>
	<LI><P STYLE="margin-bottom: 0cm">State machine diagram</P>
	<LI><P>Use case diagram</P>
</UL>
<P>All these diagrams can be included in the same model and you may
browse them graphically (like accessing the state machine of a class
operation).</P>
<H3><A HREF="http://www.omgmarte.org/" TARGET="_self"><IMG SRC="../img/logos/Marte_logo.png" NAME="Image7" ALT="Marte logo" ALIGN=BOTTOM WIDTH=97 HEIGHT=56 BORDER=0></A>Marte
UML profile for Real Time systems</H3>
<P><A HREF="http://www.omgmarte.org/" TARGET="_self">Marte</A> is a
deep and exhaustive UML™ profile for Modeling and Analysis of Real
Time and Embedded systems which embedds all concepts underlying Real
Time systems, for industrial modelling. The OpenEmbeDD Marte plug-ins
offer the metamodel plus a extension of Topcased UML modeler in order
to apply such profile to your models.</P>
<P>The Papyrus Static UML modeler offers natural way to apply the
Marte profile.</P>
<H3><A HREF="http://www.aadl.info/" TARGET="_self"><IMG SRC="../img/logos/AADL_logo.png" NAME="Image8" ALT="AADL logo" ALIGN=BOTTOM WIDTH=187 HEIGHT=51 BORDER=0></A>AADL
architecture language</H3>
<P><A HREF="http://www.aadl.info/" TARGET="_self">AADL</A> is the
Architecture Analysis &amp; Design Language, first design for
avionics modeling purposes. It describes components on one side and
their implementation on another side.</P>
<H3><A HREF="http://www.omgsysml.org/" TARGET="_self"><IMG SRC="../img/logos/SysML_logo.png" NAME="Image9" ALT="SysML logo" ALIGN=BOTTOM WIDTH=133 HEIGHT=83 BORDER=0></A>
SysML profile</H3>
<P><A HREF="http://www.omgsysml.org/" TARGET="_self">SysML</A> is the
OMG SYStems Modeling Language, a language to design complex systems.
It includes hardware, software, personnel, in structures,
requirements,...</P>
<P STYLE="margin-bottom: 0cm"><BR>
</P>
</BODY>
</HTML>